Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 125800 - NullPointerException at org.netbeans.modules.mercurial.ui.diff.ExportDiffPanel.getSelectedRevision
NullPointerException at org.netbeans.modules.mercurial.ui.diff.ExportDiffPane...
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Mercurial
6.x
All All
: P3 (vote)
: TBD
Assigned To: issues@versioncontrol
issues@versioncontrol
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-22 21:13 UTC by Jesse Glick
Modified: 2008-01-23 13:59 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.52 KB, text/plain)
2008-01-22 21:13 UTC, Jesse Glick
Details
proposed patch (7.78 KB, patch)
2008-01-23 13:09 UTC, Padraig Obriain
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2008-01-22 21:13:34 UTC
Build: NetBeans IDE Dev (Build 080121)
VM: Java HotSpot(TM) Client VM, 1.6.0_03-b05
OS: Linux, 2.6.22-14-generic, i386

User Comments: 
On an unbuilt and unmodified tree of the NB main repo, I opened the nbbuild project, selected CheckBundles.java in the Projects tab, and selected Export Diff just to see what would happen. "Export From" (no idea what this means...?) was an empty combo which I left alone; for "Export To" I chose a filename /tmp/x.diff. After I accepted the dialog, this exception was thrown.
Comment 1 Jesse Glick 2008-01-22 21:13:38 UTC
Created attachment 55403 [details]
stacktrace
Comment 2 Padraig Obriain 2008-01-23 09:31:04 UTC
There seems to be a delay populating the dialog.

The "Export From" Combo box should contain a list of Changesets.
Comment 3 Padraig Obriain 2008-01-23 13:09:28 UTC
Created attachment 55426 [details]
proposed patch
Comment 4 Padraig Obriain 2008-01-23 13:10:35 UTC
The proposed patch does two things. It avoids the exception and it speeds up the populating of the ComboBox.
Comment 5 Padraig Obriain 2008-01-23 13:59:16 UTC
IDE:-------------------------------------------------
IDE: [1/23/08 1:57 PM] Committing started
Checking in ui/diff/ExportDiffPanel.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/diff/ExportDiffPanel.java,v
 <--  ExportDiffPanel.java
new revision: 1.6; previous revision: 1.5
done
Checking in ui/status/VersioningPanel.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/status/VersioningPanel.java,v
 <--  VersioningPanel.java
new revision: 1.13; previous revision: 1.12
done
Checking in ui/update/RevertModificationsPanel.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/update/RevertModificationsPanel.java,v
 <--  RevertModificationsPanel.java
new revision: 1.9; previous revision: 1.8
done
Checking in util/HgCommand.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/util/HgCommand.java,v  <-- 
HgCommand.java
new revision: 1.67; previous revision: 1.66
done
IDE: [1/23/08 1:57 PM] Committing finished


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo